Package writer2latex.office

# Class FormReader

java.lang.Object
writer2latex.office.FormReader

public class FormReader extends Object

This class reads a form in an OOo document (a form:form node)

Note: Subforms, properties and events are ignored.

## Constructor Summary

Constructors
Constructor
Description
`FormReader(Element form, FormsReader forms)`
The constructor reads the content of a `form:form` element

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttribute(String sName)`
Get an attribute of the form.
`String`
`getName()`
A form in OOo is identified by name (`form:name` attribute.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FormReader

public FormReader(Element form, FormsReader forms)

The constructor reads the content of a `form:form` element

Parameters:
  `form` - a DOM element, which must be `form:form` node

## Method Details

### getName

public String getName()

A form in OOo is identified by name (`form:name` attribute. The name is accessed by this method.

Returns:
  the name of the form

### getAttribute

public String getAttribute(String sName)

Get an attribute of the form. If the attribute does not exist, this method returns `null`.

Parameters:
  `sName` - the name of the attribute
Returns:
  the value of the attribute, or `null`